import 'package:fis_jsonrpc/rpc.dart';

///升级通知
class UpgradeNotificationHandler
    extends NotificationHandler<UpgradeNotification> {
  UpgradeNotificationHandler()
      : super(NotificationTypeEnum.UpgradeNotification);

  @override
  void execute(UpgradeNotification message) {
    super.execute(message);
  }

  //TODO Jimmy 测试代码，将来会删除
  void mockNotification() {
    Future.delayed(
      const Duration(milliseconds: 60000),
      () {
        print("[JimmyTest] I am the mocked upgrade notification");
        execute(new UpgradeNotification());
      },
    );
  }
}
